oasis.names.tc.saml._2_0.protocol

## Class AttributeQuery

- java.lang.Object
- - oasis.names.tc.saml._2_0.protocol.RequestAbstractType
  - - oasis.names.tc.saml._2_0.protocol.SubjectQueryAbstractType
    - - oasis.names.tc.saml._2_0.protocol.AttributeQuery

- All Implemented Interfaces:
    Serializable

      @Generated(value="com.sun.tools.xjc.Driver",
                 date="2021-10-05T08:08:48+02:00",
                 comments="JAXB RI v2.2.11")
      public class AttributeQuery
      extends SubjectQueryAbstractType
      implements Serializable

  Java class for AttributeQueryType complex type.

  The following schema fragment specifies the expected content contained within this class.

       <complexType name="AttributeQueryType">
         <complexContent>
           <extension base="{urn:oasis:names:tc:SAML:2.0:protocol}SubjectQueryAbstractType">
             <sequence>
               <element ref="{urn:oasis:names:tc:SAML:2.0:assertion}Attribute" maxOccurs="unbounded" minOccurs="0"/>
             </sequence>
           </extension>
         </complexContent>
       </complexType>

  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AttributeQuery()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `List<Attribute>` | `getAttributes()` Gets the value of the attributes property.

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.SubjectQueryAbstractType

      `getSubject, setSubject`

    - ### Methods inherited from class oasis.names.tc.saml._2_0.protocol.RequestAbstractType

      `getConsent, getDestination, getExtensions, getID, getIssueInstant, getIssuer, getSignature, getVersion, setConsent, setDestination, setExtensions, setID, setIssueInstant, setIssuer, setSignature, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AttributeQuery

          public AttributeQuery()

  - ### Method Detail

    - #### getAttributes

          public List<Attribute> getAttributes()

      Gets the value of the attributes property.

      This accessor method returns a reference to the live list, not a snapshot. Therefore any modification you make to the returned list will be present inside the JAXB object. This is why there is not a `set` method for the attributes property.

      For example, to add a new item, do as follows:

              getAttributes().add(newItem);

      Objects of the following type(s) are allowed in the list `Attribute`

Connector Packaging PERSPODOLOGIST 4.0.2 API
Copyright © {inceptionYear}-2021 eHealth. All Rights Reserved.